<? //-- 일반동영상(wmv,swf) PLAY

$g4_path = "../../..";
include_once("$g4_path/common.php");
include_once("$g4[path]/lib/latest.lib.php");
include_once("$g4[path]/lib/common.lib.php");
include_once("$g4[path]/head.sub.php"); 

// wr_id 값이 있으면 글읽기 
if ($wr_id) {
    // 글이 없을 경우 해당 게시판 목록으로 이동
    if (!$write[wr_id]) {
        $msg = "글이 존재하지 않습니다.\\n\\n글이 삭제되었거나 이동된 경우입니다.";
        if ($cwin)
            alert_close($msg);
        else
            alert($msg, "./board.php?bo_table=$bo_table");
    }

    // 로그인된 회원의 권한이 설정된 읽기 권한보다 작다면
    if ($member[mb_level] < $board[bo_read_level]) {
        if ($member[mb_id]) 
            alert("글을 읽을 권한이 없습니다.");
        else 
            alert("글을 읽을 권한이 없습니다.\\n\\n회원이시라면 로그인 후 이용해 보십시오.", "./login.php?wr_id=$wr_id{$qstr}&url=".urlencode("board.php?bo_table=$bo_table&wr_id=$wr_id"));
    }

    // 자신의 글이거나 관리자라면 통과
    if (($write[mb_id] && $write[mb_id] == $member[mb_id]) || $is_admin)
        ;
    else {
        // 비밀글이라면
        if (strstr($write[wr_option], "secret")) {
            $ss_name = "ss_secret_{$bo_table}_$write[wr_num]";
            //$ss_name = "ss_secret_{$bo_table}_{$wr_id}";
            // 한번 읽은 게시물의 번호는 세션에 저장되어 있고 같은 게시물을 읽을 경우는 다시 패스워드를 묻지 않습니다.
            // 이 게시물이 저장된 게시물이 아니면서 관리자가 아니라면
            //if ("$bo_table|$write[wr_num]" != get_session("ss_secret")) 
            if (!get_session($ss_name)) 
                goto_url("./password.php?w=s&bo_table=$bo_table&wr_id=$wr_id{$qstr}");

            set_session($ss_name, TRUE);
        }
    }

    // 한번 읽은글은 브라우저를 닫기전까지는 카운트를 증가시키지 않음
    $ss_name = "ss_view_{$bo_table}_{$wr_id}";
    if (!get_session($ss_name)) 
    {
        sql_query(" update $write_table set wr_hit = wr_hit + 1 where wr_id = '$wr_id' ");

        // 자신의 글이면 통과
        if ($write[mb_id] && $write[mb_id] == $member[mb_id])
            ;
        else {
            // 회원이상 글읽기가 가능하다면
            //if ($board[bo_read_level] > 1) {
                // 글읽기 포인트가 음수이고 회원의 포인트가 0 이거나 작다면
                //if ($board[bo_read_point] < 0 && $member[mb_point] <= 0)
                if ($member[mb_point] + $board[bo_read_point] < 0)
                    alert("보유하신 포인트(".number_format($member[mb_point]).")가 없어나 모자라서 글읽기(".number_format($board[bo_read_point]).")가 불가합니다.\\n\\n포인트를 모으신 후 다시 글읽기 해 주십시오.");

                insert_point($member[mb_id], $board[bo_read_point], "$board[bo_subject] $wr_id 글읽기");
            //}
        }

        set_session($ss_name, TRUE);
    }

    $g4[title] = "$group[gr_subject] > $board[bo_subject] > " . strip_tags(conv_subject($write[wr_subject], 255));
} else {
    if ($member[mb_level] < $board[bo_list_level]) {
        if ($member[mb_id]) 
            alert("목록을 볼 권한이 없습니다.");
        else 
            alert("목록을 볼 권한이 없습니다.\\n\\n회원이시라면 로그인 후 이용해 보십시오.", "./login.php?wr_id=$wr_id{$qstr}&url=".urlencode("board.php?bo_table=$bo_table&wr_id=$wr_id"));
    }

    if (!$page) $page = 1; 

    $g4[title] = "$group[gr_subject] > $board[bo_subject] $page 페이지";
}

$view = get_view($write, $board, $board_skin_path);

if (strstr($sfl, "subject"))
    $view[subject] = search_font($stx, $view[subject]);

$html = 0;
if (strstr($view[wr_option], "html1"))
    $html = 1;
else if (strstr($view[wr_option], "html2"))
    $html = 2;

$view[content] = conv_content($view[wr_content], $html);
if (strstr($sfl, "content"))
    $view[content] = search_font($stx, $view[content]);
$view[content] = preg_replace("/(\<img )([^\>]*)(\>)/i", "\\1 name='target_resize_image[]' onclick='image_window(this)' style='cursor:pointer;' \\2 \\3", $view[content]);

?>

<?
$row = get_member($view[mb_id]);
$mb_nick = get_sideview($row[mb_id], $row[mb_nick], $row[mb_email], $row[mb_homepage]);
?>


<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=euc-kr">

<style type="text/css">
body
{ background-image:url('<?=$board_skin_path?>/img/bg_ptn.gif'); }
<!--
body {margin:0 0 0 0;	 font-family:"gulim"; font-size: 12px; color: #333333; line-height: 150%; letter-spacing: 0px; }
		.scrollbar { scrollbar-face-color: #f7f7f7; scrollbar-shadow-color:#e9e9e7; scrollbar-highlight-color:#ffffff;scrollbar-3dlight-color: #e4e9ea; scrollbar-darkshadow-color: #777777;scrollbar-track-color: #fcfcfc;scrollbar-arrow-color: #10173c; } 
		.new { font-size:7pt; color:#cd003c; font-family:verdana;  }
		a:link {	color:#555555; text-decoration: none;}
		a:visited {	color:#555555; text-decoration: none;}
		a:hover { color:#ff6600;	text-decoration: none;}
tb_content {margin:10px;}-->
</style>
<title><?=$view[subject]?></title>
</head>
<? echo "<script language='javascript' src='$g4[path]/js/sideview.js'></script>";?> 
<BODY oncontextmenu="return false" ondragstart="return false" onselectstart="return false" >

<div style="padding-left:10px; height:30px;"><img src='<?=$board_skin_path?>/img/title_player.gif' border=0></div>
<table width='100%' cellpadding=0 cellspacing=0 border=0 >
<tr><td valign=top width=430 >
<div style="padding:10px;">
				<!-- 일반동영상파일 링크 (wmv,avi,swf) -->
				<? if ($view[wr_link2]) { ?>
				<EMBED style="filter: xray()"showstatusbar="true" src='<?=$write["wr_link2"]?>' width=430 height=390 AUTOSTART=1  enablecontextmenu=0>
				<!-- 일반동영상파일 링크 (wmv,avi,swf)  끝-->
				<!--외부 html 태그방식-->
				<? } elseif ($view[wr_link1]) {
				echo $view[wr_link1]; 
				?>
				<!--외부 html 태그방식 끝-->
				<!-- 플래쉬(flv) 파일형식 -->


				<? } elseif ($view[wr_3]) { ?>


				<script type="text/javascript" src='<? $g4[path] ?>/jwp/swfobject.js'></script>
				<script type='text/javascript' src='<? $g4[path] ?>/jwp/jwplayer.js'></script>

				<div id='mediaspace'></div>

				<script type="text/javascript">
				jwplayer('mediaspace').setup({
				'flashplayer': '<? $g4[path] ?>/jwp/player.swf',
				'file': '<?=$view[wr_3]?>',
				'controlbar': 'bottom',
				'autostart' : 'true', 
				'width': '430',
				'height': '360'
				});   
				</script>

				<!-- 플래쉬(flv) 파일형식 끝-->			
				<? } else {
				echo "영상이 아직 준비되지 않았습니다. <br>잠시후 접속해주시기 바랍니다.";
				} ?>
		</div>

			</td>
<td style="padding:10px 10px 10px 0;" valign=top>
		<div >
		<table align='center' width='100%' cellspacing=0 cellpadding=5 bgcolor='#cccccc' style="border-top:2px #1aa4f7 solid; border-bottom:2x #1aa4f7 solid">
		<tr>
		<td bgcolor='#c8e3ff' width='50' align='center' style='font-weight:bold; border-bottom:1px #8ec7ff solid; color:#ffffff;'>제 목</td>
		<td bgcolor='#FFFFFF' style="border-bottom:1px #8ec7ff solid;"><?=$view[subject]?>&nbsp;(조회 : <?=$view[wr_hit]?>)</td></tr>
		<tr><td bgcolor='#c8e3ff' width='50' align='center' style='font-weight:bold; color:#ffffff'>내 용</td>
		<td bgcolor='#FFFFFF'><div ID="Test" STYLE="width:100%;height:320;overflow:auto;border:0 solid ;display:"><?=$view[content];?></div> </td>
		</tr></table>
		</div>

</td>
</tr>
</table>


</body>
</html>
